%global _privatelibs libgom-1[.]0[.]so.*
%global __provides_exclude ^(%{_privatelibs})$
%global __requires_exclude ^(%{_privatelibs})$

Name:           gnome-online-miners
Version:        3.10.3
Release:        1%{?dist}
Summary:        Crawls through your online content

License:        GPLv2+
URL:            https://wiki.gnome.org/Projects/GnomeOnlineMiners
Source0:        http://download.gnome.org/sources/%{name}/3.10/%{name}-%{version}.tar.xz

BuildRequires:  glib2-devel >= 2.35.1
BuildRequires:  gnome-online-accounts-devel >= 3.8.0
BuildRequires:  grilo-devel >= 0.2.6
BuildRequires:  libgdata-devel >= 0.13.3
BuildRequires:  libzapojit-devel >= 0.0.2
BuildRequires:  pkgconfig
BuildRequires:  tracker-devel >= 0.16.0
Requires:       dbus
Requires:       grilo-plugins
Requires:       gvfs >= 1.18.3

%description
GNOME Online Miners provides a set of crawlers that go through your online
content and index them locally in Tracker. It has miners for Flickr, Google
and SkyDrive.


%prep
%setup -q


%build
%configure \
  --disable-silent-rules \
  --disable-static

make %{?_smp_mflags}


%install
make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -delete

# Use %%doc instead.
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%files
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc README
%{_datadir}/dbus-1/services/org.gnome.OnlineMiners.Flickr.service
%{_datadir}/dbus-1/services/org.gnome.OnlineMiners.GData.service
%{_datadir}/dbus-1/services/org.gnome.OnlineMiners.Owncloud.service
%{_datadir}/dbus-1/services/org.gnome.OnlineMiners.Zpj.service

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libgom-1.0.so

%{_libexecdir}/gom-flickr-miner
%{_libexecdir}/gom-gdata-miner
%{_libexecdir}/gom-owncloud-miner
%{_libexecdir}/gom-zpj-miner


%changelog
* Mon Jan 20 2014 Debarshi Ray <rishi@fedoraproject.org> - 3.10.3-1
- Update to 3.10.3

* Fri Nov 22 2013 Debarshi Ray <rishi@fedoraproject.org> - 3.10.2-2
- Add an explict Requires on the correct gvfs version

* Fri Nov 22 2013 Debarshi Ray <rishi@fedoraproject.org> - 3.10.2-1
- Update to 3.10.2.

* Wed Sep 25 2013 Kalev Lember <kalevlember@gmail.com> - 3.10.0-1
- Update to 3.10.0

* Wed Sep 18 2013 Kalev Lember <kalevlember@gmail.com> - 3.9.92-1
- Update to 3.9.92

* Tue Sep 03 2013 Kalev Lember <kalevlember@gmail.com> - 3.9.91-1
- Update to 3.9.91

* Thu Aug 22 2013 Debarshi Ray <rishi@fedoraproject.org> - 3.9.90-1
- Update to 3.9.90.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 19 2013 Debarshi Ray <rishi@fedoraproject.org> - 3.9.4-3
- Filter out the private library from requires.

* Fri Jul 19 2013 Debarshi Ray <rishi@fedoraproject.org> - 3.9.4-2
- Use %%{_libexecdir}.
- Filter out the private library from provides.

* Tue Jul 09 2013 Debarshi Ray <rishi@fedoraproject.org> - 3.9.4-1
- Initial spec.
